##################################################
# This makefile is for the files needed to extend 
# JAT to use agents running O-Plan.

JAVA=java
JAVAC=javac -g

##################################################
# targets:
opa: CDLDescription.class CDLInterpreter.class ExpressionReader.class

clean:
	rm *.class


##################################################
# files to be built:
CDLInterpreter.class: CDLInterpreter.java \
		CDLDescription.class
	$(JAVAC) CDLInterpreter.java

CDLDescription.class Parsable.class KRSentence.class KnowledgeBase.class \
		FormalismException.class: \
		CDLDescription.java Parsable.java KRSentence.java \
		KnowledgeBase.java FormalismException.java
	$(JAVAC) CDLDescription.java Parsable.java KRSentence.java \
		KnowledgeBase.java FormalismException.java

ExpressionReader.class: ExpressionReader.java
	$(JAVAC) ExpressionReader.java
